ApiTimeSeriesAggregateStatistics (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiTimeSeriesAggregateStatistics

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesAggregateStatistics

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiTimeSeriesAggregateStatistics
      extends Object

  Statistics related to one time series aggregate data point. It is available from v6 for data points containing aggregate data. It includes further statistics about the data point. An aggregate can be across entities (e.g., fd_open_across_datanodes), over time (e.g., a daily point for the fd_open metric for a specific DataNode), or both (e.g., a daily point for the fd_open_across_datanodes metric). If the data point is for non-aggregate date this will return null.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesAggregateStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTimeSeriesAggregateStatistics` | `count(BigDecimal count)`
    `ApiTimeSeriesAggregateStatistics` | `crossEntityMetadata(ApiTimeSeriesCrossEntityMetadata crossEntityMetadata)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCount()` The number of individual data points aggregated in this data point.
    `ApiTimeSeriesCrossEntityMetadata` | `getCrossEntityMetadata()` If the data-point is for a cross entity aggregate (e.g., fd_open_across_datanodes) returns the cross entity metadata, null otherwise.
    `BigDecimal` | `getMax()` This maximum value encountered while producing this aggregate data point.
    `String` | `getMaxTime()` The timestamp of the maximum data point.
    `BigDecimal` | `getMean()` The mean of the values of all data-points for this aggregate data point.
    `BigDecimal` | `getMin()` This minimum value encountered while producing this aggregate data point.
    `String` | `getMinTime()` The timestamp of the minimum data point.
    `String` | `getSampleTime()` The timestamp of the sample data point.
    `BigDecimal` | `getSampleValue()` The sample data point value representing an actual sample value picked from the underlying data that is being aggregated.
    `BigDecimal` | `getStdDev()` The standard deviation of the values of all data-points for this aggregate data point.
    `int` | `hashCode()`
    `ApiTimeSeriesAggregateStatistics` | `max(BigDecimal max)`
    `ApiTimeSeriesAggregateStatistics` | `maxTime(String maxTime)`
    `ApiTimeSeriesAggregateStatistics` | `mean(BigDecimal mean)`
    `ApiTimeSeriesAggregateStatistics` | `min(BigDecimal min)`
    `ApiTimeSeriesAggregateStatistics` | `minTime(String minTime)`
    `ApiTimeSeriesAggregateStatistics` | `sampleTime(String sampleTime)`
    `ApiTimeSeriesAggregateStatistics` | `sampleValue(BigDecimal sampleValue)`
    `void` | `setCount(BigDecimal count)`
    `void` | `setCrossEntityMetadata(ApiTimeSeriesCrossEntityMetadata crossEntityMetadata)`
    `void` | `setMax(BigDecimal max)`
    `void` | `setMaxTime(String maxTime)`
    `void` | `setMean(BigDecimal mean)`
    `void` | `setMin(BigDecimal min)`
    `void` | `setMinTime(String minTime)`
    `void` | `setSampleTime(String sampleTime)`
    `void` | `setSampleValue(BigDecimal sampleValue)`
    `void` | `setStdDev(BigDecimal stdDev)`
    `ApiTimeSeriesAggregateStatistics` | `stdDev(BigDecimal stdDev)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesAggregateStatistics

          public ApiTimeSeriesAggregateStatistics()

  - ### Method Detail

    - #### sampleTime

          public ApiTimeSeriesAggregateStatistics sampleTime(String sampleTime)

    - #### getSampleTime

          public String getSampleTime()

      The timestamp of the sample data point. Note that the timestamp reflects coordinated universal time (UTC) and not necessarily the server's time zone. The rest API formats the UTC timestamp as an ISO-8061 string.
      Returns:
        sampleTime

    - #### setSampleTime

          public void setSampleTime(String sampleTime)

    - #### sampleValue

          public ApiTimeSeriesAggregateStatistics sampleValue(BigDecimal sampleValue)

    - #### getSampleValue

          public BigDecimal getSampleValue()

      The sample data point value representing an actual sample value picked from the underlying data that is being aggregated.
      Returns:
        sampleValue

    - #### setSampleValue

          public void setSampleValue(BigDecimal sampleValue)

    - #### count

          public ApiTimeSeriesAggregateStatistics count(BigDecimal count)

    - #### getCount

          public BigDecimal getCount()

      The number of individual data points aggregated in this data point.
      Returns:
        count

    - #### setCount

          public void setCount(BigDecimal count)

    - #### min

          public ApiTimeSeriesAggregateStatistics min(BigDecimal min)

    - #### getMin

          public BigDecimal getMin()

      This minimum value encountered while producing this aggregate data point. If this is a cross-time aggregate then this is the minimum value encountered during the aggregation period. If this is a cross-entity aggregate then this is the minimum value encountered across all entities. If this is a cross-time, cross-entity aggregate, then this is the minimum value for any entity across the aggregation period.
      Returns:
        min

    - #### setMin

          public void setMin(BigDecimal min)

    - #### minTime

          public ApiTimeSeriesAggregateStatistics minTime(String minTime)

    - #### getMinTime

          public String getMinTime()

      The timestamp of the minimum data point. Note that the timestamp reflects coordinated universal time (UTC) and not necessarily the server's time zone. The rest API formats the UTC timestamp as an ISO-8061 string.
      Returns:
        minTime

    - #### setMinTime

          public void setMinTime(String minTime)

    - #### max

          public ApiTimeSeriesAggregateStatistics max(BigDecimal max)

    - #### getMax

          public BigDecimal getMax()

      This maximum value encountered while producing this aggregate data point. If this is a cross-time aggregate then this is the maximum value encountered during the aggregation period. If this is a cross-entity aggregate then this is the maximum value encountered across all entities. If this is a cross-time, cross-entity aggregate, then this is the maximum value for any entity across the aggregation period.
      Returns:
        max

    - #### setMax

          public void setMax(BigDecimal max)

    - #### maxTime

          public ApiTimeSeriesAggregateStatistics maxTime(String maxTime)

    - #### getMaxTime

          public String getMaxTime()

      The timestamp of the maximum data point. Note that the timestamp reflects coordinated universal time (UTC) and not necessarily the server's time zone. The rest API formats the UTC timestamp as an ISO-8061 string.
      Returns:
        maxTime

    - #### setMaxTime

          public void setMaxTime(String maxTime)

    - #### mean

          public ApiTimeSeriesAggregateStatistics mean(BigDecimal mean)

    - #### getMean

          public BigDecimal getMean()

      The mean of the values of all data-points for this aggregate data point.
      Returns:
        mean

    - #### setMean

          public void setMean(BigDecimal mean)

    - #### stdDev

          public ApiTimeSeriesAggregateStatistics stdDev(BigDecimal stdDev)

    - #### getStdDev

          public BigDecimal getStdDev()

      The standard deviation of the values of all data-points for this aggregate data point.
      Returns:
        stdDev

    - #### setStdDev

          public void setStdDev(BigDecimal stdDev)

    - #### crossEntityMetadata

          public ApiTimeSeriesAggregateStatistics crossEntityMetadata(ApiTimeSeriesCrossEntityMetadata crossEntityMetadata)

    - #### getCrossEntityMetadata

          public ApiTimeSeriesCrossEntityMetadata getCrossEntityMetadata()

      If the data-point is for a cross entity aggregate (e.g., fd_open_across_datanodes) returns the cross entity metadata, null otherwise.
      Returns:
        crossEntityMetadata

    - #### setCrossEntityMetadata

          public void setCrossEntityMetadata(ApiTimeSeriesCrossEntityMetadata crossEntityMetadata)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.